<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    public function run()
    {
        $this->call([
            PermissionsTableSeeder::class,
            RolesTableSeeder::class,
            PermissionRoleTableSeeder::class,
            UsersTableSeeder::class,
            RoleUserTableSeeder::class,
        ]);
        $this->call(FusionCategoriesTableSeeder::class);
        $this->call(FusionTypesTableSeeder::class);
        $this->call(ProductsTableSeeder::class);
        $this->call(ContactCompaniesTableSeeder::class);
        $this->call(ContactContactsTableSeeder::class);
        $this->call(AssetsTableSeeder::class);
        $this->call(AssetContactContactTableSeeder::class);
        $this->call(AmcContractsTableSeeder::class);
        $this->call(AmcContractAssetTableSeeder::class);
        $this->call(FaqCategoriesTableSeeder::class);
        $this->call(FaqQuestionsTableSeeder::class);
        $this->call(MediaTableSeeder::class);
        $this->call(PasswordResetsTableSeeder::class);
        $this->call(QaMessagesTableSeeder::class);
        $this->call(QaTopicsTableSeeder::class);
        $this->call(ServiceComplaintsTableSeeder::class);
        $this->call(TeamsTableSeeder::class);
        $this->call(UserAlertsTableSeeder::class);
        $this->call(UserSignaturesTableSeeder::class);
        $this->call(UserUserAlertTableSeeder::class);
    }
}
